# Interface StateClassification

All Known Implementing Classes:
  `StateClassification.Default`

public interface StateClassification

Version:
  $Id: StateClassification.java 206 2006-02-02 17:49:56Z rambaut $
Author:
  Andrew Rambaut, Alexei Drummond

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`StateClassification.Default`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`getSetName(State state)`
`Set<String>`
`getSetNames()`
`Set<State>`
`getStateSet(String setName)`

## Method Details

### getName

String getName()

### getSetNames

Set<String> getSetNames()

### getSetName

String getSetName(State state)

### getStateSet

Set<State> getStateSet(String setName)